Bug 980907 - Review Request: python-flask-login - User session management for Flask
Summary: Review Request: python-flask-login - User session management for Flask
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 13:36 UTC by Richard Marko
Modified: 2016-02-01 02:22 UTC (History)
5 users (show)

Fixed In Version: python-flask-login-0.2.4-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 17:00:12 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard Marko 2013-07-03 13:36:07 UTC
Spec URL: http://rmarko.fedorapeople.org/packages/python-flask-login.spec
SRPM URL: http://rmarko.fedorapeople.org/packages/python-flask-login-0.2.4-1.fc18.noarch.rpm
Description: User session management for Flask
Fedora Account System Username: rmarko

Comment 1 Mario Blättermann 2013-07-03 15:42:00 UTC
(In reply to Richard Marko from comment #0)
> SRPM URL:
> http://rmarko.fedorapeople.org/packages/python-flask-login-0.2.4-1.fc18.
> noarch.rpm
Please provide a link to the src rpm.

Comment 4 Mario Blättermann 2013-07-04 18:36:14 UTC
Please remove the upstream egg before building the package. See also bug #980908.

Comment 6 Mario Blättermann 2013-07-08 17:37:12 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5586324

$ rpmlint -i -v *
python-flask-login.src: I: checking
python-flask-login.src: I: checking-url https://pypi.python.org/pypi/Flask-Login (timeout 10 seconds)
python-flask-login.src: I: checking-url https://pypi.python.org/packages/source/F/Flask-Login/Flask-Login-0.2.4.tar.gz (timeout 10 seconds)
python-flask-login.noarch: I: checking
python-flask-login.noarch: W: incoherent-version-in-changelog 0.4.0-2 ['0.2.4-3.fc20', '0.2.4-3']
The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

python-flask-login.noarch: I: checking-url https://pypi.python.org/pypi/Flask-Login (timeout 10 seconds)
python-flask-login.spec: I: checking-url https://pypi.python.org/packages/source/F/Flask-Login/Flask-Login-0.2.4.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 1 warnings.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    MIT
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    abaaeaa07f58743da3647e8c622b161c6ede9c782b9363fb0abefa831a03a7e0  Flask-Login-0.2.4.tar.gz
    abaaeaa07f58743da3647e8c622b161c6ede9c782b9363fb0abefa831a03a7e0  Flask-Login-0.2.4.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.



Still one issue: The latest %changelog entry has to be fixed, then your package is ready for approval.

Comment 8 Mario Blättermann 2013-07-10 14:12:08 UTC
Version:        0.2.4
Release:        3%{?dist}

%changelog
* Sun Jul 07 2013 Richard Marko <rmarko@fedoraproject.org> - 0.4.0-3


This doesn't match yet. Well, I approve your package for now, but I trust you that you fix the changelog appropriately before you import the package into the Git repo.


----------------

PACKAGE APPROVED

----------------

Comment 9 Richard Marko 2013-07-11 09:41:49 UTC
> This doesn't match yet. Well, I approve your package for now, but I trust
> you that you fix the changelog appropriately before you import the package
> into the Git repo.
> 

I will. Copy paste errors.. :)

Thank you for the review. 


New Package SCM Request
=======================
Package Name: python-flask-login
Short Description: User session management for Flask
Owners: rmarko
Branches: f18 f19 el6
InitialCC:

Comment 10 Gwyn Ciesla 2013-07-11 10:51:24 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-07-11 12:05:37 UTC
python-flask-login-0.2.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-flask-login-0.2.4-3.fc18

Comment 12 Fedora Update System 2013-07-11 12:07:22 UTC
python-flask-login-0.2.4-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-flask-login-0.2.4-3.fc19

Comment 13 Fedora Update System 2013-07-11 12:08:21 UTC
python-flask-login-0.2.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-flask-login-0.2.4-3.el6

Comment 14 Fedora Update System 2013-07-12 03:06:47 UTC
python-flask-login-0.2.4-3.fc19 has been pushed to the Fedora 19 testing repository.

Comment 15 Fedora Update System 2013-08-09 17:00:12 UTC
python-flask-login-0.2.4-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2013-08-09 17:14:17 UTC
python-flask-login-0.2.4-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 17 Fedora Update System 2013-08-16 17:08:54 UTC
python-flask-login-0.2.4-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.